diff -Naur Doomsday Data Files.old/ai/switch/ger_sealion.ai Doomsday Data Files/ai/switch/ger_sealion.ai
--- Doomsday Data Files.old/ai/switch/ger_sealion.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/switch/ger_sealion.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,354 +1,522 @@
-# German Sea Lion AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
-max_front_ratio = 1.2 
+switch = no # [yes/no]
+max_front_ratio = 1.5
 max_garrison_prop = 0.50
-min_garrison_prop = 0.20
-max_front_ratios = { }
+min_garrison_prop = 0.25
+neutrality = 0.000 
+war = 75
+reinforcement = 0.1
+upgrading = 0.25
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.1
+no_exp_forces_to = { JAP SIA MAN VIC }
 
 ###################################
 # Diplomacy
 ###################################
-befriend = {
-	ROM = 50
-	BUL = 40 
-	HUN = 80 
-	YUG = 50
-	SLO = 50
-	SPA = 150
-	ITA = 80 
-	SWE = 10
-	FIN = 20
-	JAP = 20
-	POR = 10
-	TUR = 30
-	DEN = 50
+combat = {
+	ENG = 100
+	USA = 100
 }
+
+demand_claims = { }
+befriend = { }
+protect = {
+	ROM = 80
+	BUL = 80 
+	SWE = 80
+	SCH = 80
+	AUS = 300
+	POL = 80
+	SLO = 80
+	NOR = 80
+	ITA = 80
+	TUR = 80
+}
+
+target = { 
+	19 = 100
+	5 = 100
+	163 = 100
+	175 = 100
+	187 = 100
+	1572 = 100
+	1907 = 100
+}
+
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		SWE = 150
+		FIN = 100
+		ROM = 150
+		ITA = 100
+		HUN = 100
+		YUG = 100
+		SPA = 80
+		BUL = 100
+		JAP = 50
+		CHI = 50
+	}
+	embargo = {
+		ENG FRA AST CAN NZL
+	}
+}
+
+tech_sharing = {
+	favored = {
+		ROM = 200
+		SLO = 200
+		BUL = 200
+		HUN = 200
+		SPA = 200
+		ITA = 200
+		FIN = 200
+		JAP = 200
+		CRO = 200
+	}
+	embargo = { }
+	not = { }
+	prioritized = {
+		1010 = 100 # Infs
+		1020 = 100
+		1030 = 100
+		1040 = 100
+		1050 = 100
+		1060 = 100
+		1110 = 100 # Mtns
+		1120 = 100
+		1130 = 100
+		1140 = 100
+		1190 = 100 # Cavs
+		1200 = 100
+		1210 = 100
+		1220 = 100
+		2010 = 100 # Tanks
+		2020 = 100
+		2030 = 100
+		2040 = 100
+		2050 = 100
+		2060 = 100
+		2070 = 100
+		2080 = 100
+		2090 = 100
+		2290 = 100 # Arts
+		2300 = 100
+		2310 = 100
+		2320 = 100
+		2330 = 100
+		2340 = 100
+		2350 = 100
+		2360 = 100
+		2370 = 100
+		2380 = 100
+		2390 = 100
+		4010 = 100 # IntFs
+		4020 = 100
+		4030 = 100
+		4060 = 100
+		4090 = 100
+		4120 = 100 # Tacs
+		4130 = 100
+		4140 = 100
+		4150 = 100
+		4160 = 100
+		5050 = 100 # Machine Tools
+		5060 = 100
+		5070 = 100
+		5310 = 100 # Computers
+		5320 = 100
+		5330 = 100
+		5340 = 100
+	}
+}
+
 ###################################
 # Construction and Tech Research
 ###################################
-#Default values
 construction = { 
-	land_fort = yes
-	max_land_level = 4
-	fort_borders = { SOV } 
+	max_factor = 0.400 
+
+	AA_batteries = yes
+	max_AA_level = 5
+	AA_provs = { 67 74 75 76 80 81 87 90 300 311 314 315 }
+
+	coastal_fort = yes
+	max_coastal_level = 5
+	coastal_fort_provs = { 18 32 33 34 35 39 41 42 43 45 46 47 59 78 90 91 92 292 325 326 } 
+
+	radar_station = yes
+	max_radar = 2
+	radar_provs = { 67 80 90 300 314 }
+
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { } 
+
+	naval_base = no 
+	max_naval_base = 0 
+	naval_base_provs = { } 
+
+	land_fort = no
+	max_land_level = 0
+	fort_borders = { } 
+
+	ic_at_war = no
+	force_ic_until = 1935
+	ic_end_year = 1935
+	IC_provs = { } 
 }
+
+military = { 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 270 
+	max_batch_war 		= 270 
+	max_batch_home_front 	= 270
+
+	#### Divisions etc...
+	infantry 	= 0
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 5
+	light_armor 	= 0
+	armor 		= 0
+	paratrooper 	= 0
+	marine 		= 15
+	bergsjaeger 	= 0
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
+#				20 %
+	interceptor 	= 0
+	multi_role 	= 5
+	cas 		= 1
+	strategic_bomber = 0
+	tactical_bomber = 3
+	naval_bomber 	= 8
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				17 %
+	battleship 	= 3
+	carrier 	= 7
+	escort_carrier	= 4
+	destroyer 	= 8
+	light_cruiser 	= 11
+	heavy_cruiser 	= 2
+	battlecruiser 	= 2
+	submarine 	= 6
+	transports 	= 20
+#				63 %
+
+	#### Brigades
+	artillery 		= 50
+	sp_artillery 		= 0
+	rocket_artillery	= 0 
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 0
+
+	cag = 100.000
+}
+
+technology = { 
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		4250 4260 4270 15180 15190 # Air Transports
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
+	} 
+	preference 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		4250 4260 4270 15180 15190 # Air Transports
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
+	} 
+	ignore 		= {
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		5170 # Rocket Assembly Line
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14090 # Volkssturm
+	}
+
+	armor 		= 5 
+	infantry 	= 7
+	industry 	= 4
+	aircraft 	= 6
+	naval 		= 4
+	land_doctrines 	= 3
+	secret_weapons 	= 2
+	air_doctrines 	= 6
+	naval_doctrines = 5
+}  
+
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0.5
+	revolt_risk_mult	= 0.5
+
+	# PRIORITIES:
+	beach			= 60	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		FRA = 100
+		ENG = 100
+		CAN = 100
+		AST = 100
+		NZL = 100
+		SAF = 100
+		USA = 100
+		YUG = 25
+		HOL = 25
+		BEL = 25
+		DEN = 25
+		SOV = -1
+	}
+	ignore = { }
+	province_priorities = { }
+	area_multiplier = { 19 = 2.0 }
+}
+
 front = { 
-	recklessness 		= 1 # 0-3
-	distrib_vs_ai 		= reactive
-	distrib_vs_human 	= reactive
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
 
 	enemy_reinf_days	= 6
 	reserve_prop		= 0.1
 	panic_ratio_vs_ai	= 2.5
-	panic_ratio_vs_human = 2.5
-	base_attack_odds	= 1.3
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.333
 	min_attack_odds		= 1.1
 	max_attack_odds		= 3.0
 	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	withdraw_odds		= 0.75
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = {
+	} 
+      	passivity = {
+	}
+}
 
-    enemy_handicap = { } 
-    passivity = { } 
-} 
 ###################################
 # Invasions and Naval
 ###################################
 invasion = { 
  	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random		= 8.0	#How big a random range.  (1.0 = 1%)
-	coastal		= 0.1	#increase to avoid coastal forts more.
+	random		= 5.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.5	#increase to avoid coastal forts more.
 	beach		= 0.1	#higher, avoid worst beaches.
-	distance	= 20.0	#higher = avoid long distance.
-	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	distance	= 0.1	#higher = avoid long distance.
+	max_distance    = 30.0	#1 = 100km ingame
+	pocket		= 0.1	#prioritise pockets, ie provinces with no adjacent controlled by same.
 	island		= 0.1	#prioritise taking pure islands.
-	enemy		= 2.0	#higher = much more vary of troops in province.
-	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
-	air_base	= 1.5 
-    naval_base 	= 0.1 
-    air_support = 3.0 
-    redirect 	= nearest
-	ignore		= no
+	enemy		= 0.5	#higher = much more vary of troops in province.
+	adjacentenemy 	= 0.5	#higher = much more vary of troops nearby
+	air_base	= 0.1
+      	naval_base 	= 0.1
+      	air_support 	= 1.0
+	invasion	= yes
+	ignore		= yes
+	help_allies 	= no
+      	redirect 	= priority
       
-	staging_province = {
-		90  # Kiel
-		18  # Calais
-		47  # Amsterdam
-	}
+	staging_province = { }
+
 	target = { 
-		#Britain
-		9  = 3000 # Glasgow
-		10 = 3000 # Edinburgh
-		11 = 3000 # Sunderland
-		13 = 3000 # Sheffield
-		17 = 3000 # Norwich
-		20 = 3000 # Dover
-		21 = 2500 # Portsmouth
-		23 = 2500 # Plymouth
-
-		#Norway
-		107 = 4000 # Oslo
-		108 = 4000 # Kristiansan
-		109 = 4000 # Stavanger
-		110 = 4000 # Bergen
-		125 = 4000 # Narvik
-		117 = 3750 # Alesund
-		118 = 3750 # Trondheim
-		124 = 3750 # Mo I Ran
-
-		#Sweden
-		106 = 4000 # Amal
-		98  = 4000 # Goterborg
-		93  = 4000 # Malmo
-		97  = 4000 # Jonkoping
-		100 = 3750 # Norrkoping
-		101 = 3750 # Stockholm
-		102 = 3750 # Uppsala
-		114 = 3750 # Gavle
-		120 = 4000 # Sundsuall
-		122 = 4000 # Umea
-		127 = 4000 # Lulea
-
-		#Finland
-		142 = 2000 # Helsinki
-		141 = 2000 # Turku
-		140 = 2000 # Pori
-		138 = 2000 # Vaasa
-		137 = 1750 # Oulu
-		131 = 1750 # Tornio
+		9 = 1000 # England
+		10 = 1000
+		11 = 1000
+		12 = 1000
+		13 = 1000
+		14 = 1000
+		17 = 1000
+		20 = 1000
+		21 = 1000
+		22 = 1000
+		23 = 1000
+		28 = 100
 	} 
-} 
+}
+
 admiral = { 
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+
 	ignore = {
-		#Murmansk/Archangel
-		"Barents Sea"
-		"Arctic Ocean"
-		
-		#England/France border Sea Areas
-		"Bay of Biscay"
-		"Cape Finisterre"
-		
-		#Spanish Coase (Atlantic Side)
-		"Portugese Coast"
-		"Cap St Vincent"
-		
-		#Iceland
-		"Faroes Gap"
-		"Denmark Strait"
-		
-		#Ireland/West Coast of England
-		"Irish Sea"
-		"The Hebreides"
-		"Irish West Coast"
-		
-		#Greenland
-		"Greenland Coast"
-		"Northern Sea of Labrador" 
-		"Southern Sea of Labrador"
-		
-		#Canada East Coast
-		"Hudson Bay"
-		"Grand Banks"
-		"Canadian Maritimes"
-		
-		#Western Mediterranean
-		"Costa del Sol"
-		"Gulf of Lyon"
-		"Algerian Coast"
-		
-		#Central Mediterranean
-		"Tyrrhenian Sea"
-		"Adriatic Sea"
-		
-		#Eastern Mediterranean
-		"Black Sea"
-		"Aegean Sea"
-		"Egyptian Coast"
-		
-		#North Atlantic
-		"North Atlantic"
-		"Western Approaches"
-		"The Seamounts"
-		"Azores"
-		
-		#Central Atlantic
-		"Central Atlantic"
-		"Central Mid-Atlantic Ridge"
-		"Bermuda Triangle"
-		"Guiana Basin"
-		"South-Central Mid-Atlantic Ridge"
-		"Cap Verde"
-		
-		#South Atlantic
-		"Pernambuco Plain"
-		"Ascension Fracture Zone"
-		"Argentine Plain"
-		"Angola Plain"
-		
-		#Caribbean Sea and Guilf of Mexico
-		"West Gulf of Mexico"
-		"East Gulf of Mexico" 
-		"Florida Strait"
+		# Caribbean
 		"Yucatan Strait"
-		"Windward Islands"
 		"Central Carribean"
-		
-		#Brazil and Argentina Coast
-		"Coast of Guyana"
-		"Coast of Recife" 
-		"Coast of Uruguay"
-		"Coast of Brazil"
-		"Coast of Argentina"
-		
-		# West Africa
-		"Coast of Africa"
-		"Coast of Bissao" 
-		
-		#Equitorial Africa
-		"Gulf of Guinea"
-		"Coast of Angola-Namibia"
-		
-		#South Africa
-		"Coast of South Africa"
-		"Atlantic-Indian Ridge"
-		
-		#East Africa
-		"Red Sea"
-		"Horn of Africa"
-		
-		#Madagascar Coast
-		"South Mozambique Channel"
-		"North Mozambique Channel" 
-		"Northeast Coast of Madagascar"
-		"Southeast Coast of Madagascar" 
-		
-		#North Indian Ocean (Persian Gulf)
-		"Persian Gulf"
-		"North Arabian Sea"
-		"South Arabian Sea" 
-		"Coast of Ceylon"
-		
-		#Central/South Indian Ocean
-		"Mascarene Plateau"
-		"Mid-Indian Ridge" 
-		"Ninetyeast Ridge" 
-		"Southeast Indian Ocean"
-		"Southwest Indian Ocean" 
-		
-		#Bay of Bengal & West Indonesia
-		"East Bay of Bengal"
-		"West Bay of Bengal"
-		"Malacca Strait"
-		"Java Ridge"
-		"Java Trench"
-		
-		#Indo-China, Borneo, Phillipenes
-		"Gulf of Siam"
-		"Coast of Indochina"
-		"Spratly Sea"
+		"Windward Islands"
+		"West Gulf of Mexico"
+		"East Gulf of Mexico"
+		"Florida Strait"
+
+		# Pacific
+		"Luzon Strait"
+		"Philipine Trench"
 		"Coast of Brunei"
 		"Flores Sea"
+		"Molucca Sea"
+		"Banda Sea"
+		"West Coral Sea"
 		"Sulu Sea"
 		"Celebes Sea"
-		"Luzon Strait"
-		
-		#China Coast
+		"Arafura Sea"
+		"Java Ridge"
+		"Malacca Strait"
+		"Gulf of Siam"
+		"Spratly Sea"
+		"Coast of Indochina"
 		"Taiwan Strait"
-		"Yellow Sea"
-		
-		#Japanese Coast
 		"Sea of Japan"
-		"Ryukyus"
-		"Coast of Japan"
-		"South Sea of Okhotsk"
-		"West Sea of Okhotsk" 
-		"East Sea of Okhotsk" 
-		
-		#Mariana Basin, Phillipenes
-		"Philipine Trench"
-		"Central Philippine Sea"
-		"Mariana Trench"
-		"East Mariana Basin"
-		"Mid-Pacific Mountains"
 		"North Bismarck Sea"
-		
-		#New Guinea, East/North Australia and New Zealan
-		"Coast of New Guinea"
-		"Molucca Sea"
-		"Banda Sea"
-		"Arafura Sea"
 		"South Bismarck Sea"
+		"Marianas"
+		"Marshalls Sea"
+		"Western Solomons"
+		"Eastern Solomons"
+		"East Coral Sea"
+		"Coast of Japan"
 		"Solomon Sea"
-		"West Coral Sea"
-		"East Coral Sea" 
 		"North Tasman Sea"
-		"South Tasman Sea" 
-		"East Cost of New Zealand"
-		
-		# South and West Australia
-		"Timor Sea"
-		"West Coast of Australia"
+		"South Tasman Sea"
 		"East Great Australian Bight"
-		"West Great Australian Bight" 
-		
-		#North Pacific
+		"West Great Australian Bight"
+		"Aleutians"
+		"Carolines"
+		"Central Philippine Sea"
 		"Coast of Kamchatka"
 		"East Bering Sea"
-		"West Bering Sea" 
-		"Aleutians"
-		"Northwest Pacific Basin"
-		"North Northeast Pacific Basin"
-		
-		#Central Pacific
+		"East Mariana Basin"
+		"East Sea of Okhotsk"
+		"Gulf of Alaska"
 		"Hawaiian Rise"
-		"North East Pacific Ocean"
-		"Marshalls Sea"
-		"South East Pacific Ocean"
-		"Marianas"
-		"Western Solomons"
-		"Eastern Solomons"
-		"US Maritimes"
-		"Carolines"
-		
-		#South Pacific
+		"Mariana Trench"
+		"Mid-Pacific Mountains"
+		"North Northeast Pacific Basin"
+		"Northwest Pacific Basin"
+		"Ryukyus"
+		"South Sea of Okhotsk"
+		"Timor Sea"
+		"West Bering Sea"
+		"West Coast of Australia"
+		"West Coast of Mexico"
+		"West Coast of the United States"
+		"West Sea of Okhotsk"
+		"Yellow Sea"
+		"Fiji Basin"
 		"Gilberts"
 		"Line Islands"
-		"Fiji Basin"
-		"Southwest Pacific Basin"
-		
-		# South American West Coast
+		"North East Pacific Ocean"
+		"South East Pacific Ocean"
+		"East Cost of New Zealand"
+		"North Southeast Pacific Ocean"
+		"South Southeast Pacific Ocean"
 		"Southeast Pacific Basin"
+		"Southwest Pacific Basin"
+		"West Coast of Central America"
 		"West Coast of Chile"
 		"West Coast of Peru"
-		"South Southeast Pacific Ocean"
-		"North Southeast Pacific Ocean"
-		
-		# USA West Coast
-		"Gulf of Alaska"
-		"West Coast of the United States"
-		
-		#West Coast of Mexico
-		"West Coast of Mexico"
-		"West Coast of Central America"
+		"Coast of New Guinea"
+
+		# Indian Ocean
+		"Red Sea"
+		"Persian Gulf"
+		"Coast of Ceylon"
+		"East Bay of Bengal"
+		"Ninetyeast Ridge"
+		"Java Trench"
+		"West Bay of Bengal"
+		"Mascarene Plateau"
+		"Mid-Indian Ridge"
+		"North Arabian Sea"
+		"North Mozambique Channel"
+		"Northeast Coast of Madagascar"
+		"South Arabian Sea"
+		"South Mozambique Channel"
+		"Southeast Coast of Madagascar"
+		"Southeast Indian Ocean"
+		"Southwest Indian Ocean"
+		"Horn of Africa"
 	}
-	target = {	} 
-	core = { 
-		2494
-		2493
-		2489
-		2483
-		2481
-		2491
-		2492
-		2484
-		2482
-		2480
-		2479
-		2478
-		2477
-		2476
-		290
-	} 
-}
\ No newline at end of file
+	target = { 2394 2395 2396 2397 2398 2399 2402 2403 2404 2405 2406 2410 2411 2412 2413 2414 2471 2472 2473 2474 2475 2476 2477 2478 } 
+	core = { 2394 2395 2396 2397 2398 2399 2402 2403 2404 2405 2406 2410 2411 2412 2413 2414 2471 2472 2473 2474 2475 2476 2477 2478 } 
+}
diff -Naur Doomsday Data Files.old/ai/switch/ita_defence.ai Doomsday Data Files/ai/switch/ita_defence.ai
--- Doomsday Data Files.old/ai/switch/ita_defence.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/ita_defence.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,261 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 2.5
+max_garrison_prop = 0.50
+min_garrison_prop = 0.30
+neutrality = 90.000 
+war = 50
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.10
+exp_force_ratios = { GER = 0.10} 
+no_exp_forces_to = { JAP SIA MAN VIC }
+
+###################################
+# Construction and Tech Research
+###################################
+#Default values
+construction = { 
+	max_factor = 0.4
+
+
+	AA_batteries = atwar
+	max_AA_level = 5
+	AA_provs = { 
+		515 # Roma
+		512 # Bologna
+		370 # Milan
+		378 # Venezia
+		531 # Turin
+		521 # Naples
+		368 # Genoa
+	} 
+
+	coastal_fort = yes
+	max_coastal_level = 5
+	coastal_fort_provs = { } 
+
+	radar_station = no 
+	max_radar = 5 
+	radar_provs = { } 
+
+	air_base = yes
+	max_air_base = 2
+	air_base_provs = { } 
+
+	naval_base = yes
+	max_naval_base = 3 
+	naval_base_provs = { } 
+
+	land_fort = no
+	max_land_level = 2
+	fort_borders = { } 
+
+	ic_at_war = no
+	force_ic_until = 1938
+	ic_end_year = 1940
+	IC_provs = {
+		515 # Roma
+		512 # Bologna
+		370 # Milan
+		378 # Venezia
+		531 # Turin
+		521 # Naples
+	} 
+}
+
+military = { 
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 540
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 40
+	cavalry 	= 0
+	motorized 	= 5
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 4
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 0
+	garrison	= 26
+      	hq 		= 0
+	militia 	= 0
+#				75 %
+	interceptor 	= 5
+	multi_role 	= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 0
+	naval_bomber 	= 5
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				10 %
+	battleship 	= 0
+	carrier 	= 0
+	destroyer 	= 3
+	light_cruiser 	= 0
+	heavy_cruiser 	=  0
+	battlecruiser 	= 0
+	submarine 	= 10
+	transports 	= 2
+#				15 %
+
+	#### Brigades
+	artillery 		= 30
+	sp_artillery 		= 10
+	rocket_artillery	= 0 
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 10
+	anti_air 		= 10
+	police 			= 10	
+	engineer 		= 10 
+
+	cag = 100.000 
+}
+
+technology = { 
+	endgoal 	= { } 
+preference 	= {
+		#	5020 5030 5040 # Arcriculture
+			1310 1320 1330 1340 1350 1360 # Inf support		
+			5050 5060 5070 5080 5090 5100 5110 5120 5130 5150 5180 # Produktion
+					2020 2030 2040 2050 2060 # Light tanks
+			1230 1240 # motorized
+
+			 } 
+	ignore 		= {
+		# Marine
+		3310 #sh bb
+		3320 3330 3340 # Aircraftcarrier
+		12100 12110 12120 12130 # lightcarrier
+		3200 3210 3120 3130 # Battlecruiser
+
+		# Inf
+		1080 1090 1100 # Airborne
+		1150 1160 1170 1180 # Marines
+		1260 1270 1280 # mech 
+
+		# ARI
+		2450 2460 2470 # Static AA
+		2170 2180 2190 2200 2210 # Tank destroyers
+		2370 2380 2260 2270 2280 # SP R & Rocket Artillery
+		2130 # super heavy
+
+		# Planes
+		4250 4260 4270 # Air Transports
+		4040 4070 4100	#fighters
+		4050 4080 4110  #escorts
+		4220 4230  #strat
+
+		# Industry 		
+		5550 5560 5570 5580 5590 # Rocketry
+		5470 5480 5490 5500 5510 5520 5530 5540 # Atomic Research
+		5410 5420 5430 5440 5450 5460 # Bas Decimetric
+		5170 5150  5140 # Assembly line
+		
+		# Air Docs
+		9040 9050 9060 9070 9080          9140 9150 9160 9170 9180 
+		 9230 9240 9250 9260 9270 9280 9290 9300 9310 9320 9330 9340 9350 9360 9370 9380 9390
+		9400 9410 9420 9430 9440 9450 9460
+
+		6150 6160 6180	6190 #	landdocs
+	}
+ 
+ 
+	armor 		= 6 
+	infantry 	= 7
+	industry 	= 6
+	aircraft 	= 5
+	naval 		= 5
+	land_doctrines 	= 2
+	secret_weapons 	= 0
+	air_doctrines 	= 1
+	naval_doctrines = 2
+}  
+
+
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 2.0
+	overseas_multiplier 	= 0.1
+	home_peace_cap 		= 21
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 100	# Beach level 2
+	capital			= 150	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		VIC = 10
+		SCH = -1
+		ENG = 100
+		FRA = 100
+		YUG = 50
+		SOV = 100
+		USA = 100
+	}
+	ignore = {
+	
+	}
+	province_priorities = {
+		534 = 50 # Sardinia
+			
+	}
+	area_multiplier = { }
+}
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= op_defence
+	distrib_vs_human 	= op_defence
+
+	enemy_reinf_days	= 6
+	reserve_prop = 0.2
+	panic_ratio_vs_ai = 3.0
+	panic_ratio_vs_human = 2.0
+	base_attack_odds = 2.0
+	min_attack_odds = 1.3
+	max_attack_odds = 1.8
+	reinforce_odds = 1.3 #1.5
+	withdraw_odds = 0.7
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+	
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
